%% Síla x čas

da1x = data(:,2);
da1y = data(:,3);
da1 = [da1x da1y];

da2x = data(:,5);
da2y = data(:,6);
da2 = [da2x da2y];

da3x = data(:,8);
da3y = data(:,9);
da3 = [da3x da3y];

da4x = data(:,11);
da4y = data(:,12);
da4 = [da4x da4y];

da5x = data(:,14);
da5y = data(:,15);
da5 = [da5x da5y];

[B,A] = BUTTER(2,0.1);
gr1 = filter(B,A,da1);
gr2 = filter(B,A,da2);
gr3 = filter(B,A,da3);
gr4 = filter(B,A,da4);
gr5 = filter(B,A,da5);


plot(gr1(:,2),'r','LineWidth',5)
hold on
plot(gr2(:,2),'b','LineWidth',5)
hold on
plot(gr3(:,2),'g','LineWidth',5)
hold on
plot(gr4(:,2),'k','LineWidth',5)
hold on
plot(gr5(:,2),'y','LineWidth',5)

set(gca,'XTick',[50 100 150 200],'XtickLabel',{'0,005';'0,010';'0,015';'0,020'});
set(0,'defaultfigureposition',[1000 10 1400 2500])
ylabel('Síla v ose x [N]','FontSize',20,'FontWeight','bold')
xlabel('Čas [s]','FontSize',20,'FontWeight','bold')
legend('t = 1,6 mm','t = 1,7 mm','t = 1,8 mm','t = 1,9 mm','t = 2,0 mm')
set(gca,'FontSize',20)
set(0,'DefaultAxesFontName', 'Times New Roman')
grid on

